<bugID>1346300<Summary>"Enable persistent logs" leads to unexpected behaviour in network tab</Summary><Description>Steps to reproduce:
1) enable persistent logs to do some javascript debugging
2) try to evaluate some network performance
3) be very confused why your page has requested 186 requests in 470 seconds and loaded everything 5 times

Maybe persistent logging should be constrained to the console log? I can't really ever think of a time where I want this behaviour (but then I don't make javascript single page apps...). 

At the very least I needed some kind of indication about what was going on. It never occurred to me that the log setting would effect the network panel.</Description></bugID>